(new info) Problems with wpa_supplicant and Linksys WPC54G + WPA EAP-TTLS

Stephen Mathezer mathezer at yahoo.com
Mon Dec 20 16:30:16 EST 2004


Dan Parsons wrote:

> While I'm waiting for the ndiswrapper folk to get back to me, I 
> decided to get LinuxAnt's DriverLoader a try instead of ndiswrapper. 
> So far I haven't had any system crashes, which is great. However 
> WPA+EAP-TTLS still isn't working. Below is some debugging information 
> for you... does it look like the same issue as what I'm having with 
> ndiswrapper? I'm using the same Windows drivers with it as I was with 
> ndiswrapper and also the same card.
>
> I thank you in advance for any information you can give me.

I realize that I am talking TLS whereas you are talking TTLS, but for 
what it is worth, I have a WPC54GV4 and have had the following experience:

-EAP-TLS works fine under Windows XP
-EAP-TLS works fine with DriverLoader
-EAP-TLS fails with ndiswrapper and wpa_supplicant 0.2.5. As of 
Ndiswrapper 0.12 I could actually see a conversation with the radius 
server, which was new, but I still couldn't complete authentication.
-An identical wpa_supplicant config works fine with the native Madwifi 
drivers with my Dlink-650G

I haven't had time (or inclination) to dig too much since I do have one 
working card. It is interesting however that DriverLoader worked for me 
but not for you.

-Steve



More information about the HostAP mailing list